%define api		2.0
%define clutterapi	2.0
%define gir_major	2.0
%define major		0

%define gstapi		1.0

%define libname		%mklibname %{name} %{api} %{major}
%define devname		%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{gir_major}
%define gstname		gstreamer%{gstapi}-gstclutter

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	GST video texture actor and audio player object for Clutter
Name:		clutter-gst
Version:	2.0.12
Release:	%mkrel 5
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		Graphics/Utilities
Url:		http://clutter-project.org/
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)

%description
An integration library for using GStreamer with Clutter.
GST video texture actor and audio player object.

%package -n %{libname}
Summary:	GST video texture actor and audio player object for Clutter
Group:		Graphics/Utilities
Requires:	gstreamer1.0-plugins-base

%description -n %{libname}
An integration library for using GStreamer with Clutter.
GST video texture actor and audio player object.

%package -n %{devname}
Summary:	Development headers/libraries for %{name}
Group:		Development/X11
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api}-devel = %{version}-%{release}
Provides:	%{_lib}clutter-gst%{api}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{name}-doc < 1.5.2
Obsoletes:	%{_lib}clutter-gst2.0-devel < 2.0.6-3

%description -n %{devname}
Development headers/libraries for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}1.0-gir 1.0} < 1.3.12-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{gstname}
Summary:	Gstreamer plugin for %{name}
Group:		System/Libraries

%description -n %{gstname}
Standalone gstreamer plugin for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--enable-introspection=yes
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{gstname}
%{_libdir}/gstreamer-1.0/libgstclutter.so

%files -n %{girname}
%{_libdir}/girepository-1.0/ClutterGst-%{gir_major}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so
%{_includedir}/clutter-gst-%{clutterapi}/%{name}
%{_datadir}/gir-1.0/ClutterGst-%{gir_major}.gir


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.0.12-5.mga5
+ Revision: 749958
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 2.0.12-4.mga5
+ Revision: 731112
- rebuild so that it picks typelib() requires

* Thu Sep 18 2014 umeabot <umeabot> 2.0.12-3.mga5
+ Revision: 693640
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.0.12-2.mga5
+ Revision: 678443
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 ovitters <ovitters> 2.0.12-1.mga5
+ Revision: 630339
- new version 2.0.12

* Mon Feb 24 2014 pterjan <pterjan> 2.0.10-3.mga5
+ Revision: 596085
- Rebuild for new cogl

* Sat Feb 08 2014 ovitters <ovitters> 2.0.10-2.mga5
+ Revision: 585974
- rebuild for new cogl

* Tue Feb 04 2014 ovitters <ovitters> 2.0.10-1.mga5
+ Revision: 582493
- new version 2.0.10

* Sat Oct 19 2013 umeabot <umeabot> 2.0.8-2.mga4
+ Revision: 535146
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 ovitters <ovitters> 2.0.8-1.mga4
+ Revision: 481247
- new version 2.0.8

* Thu Aug 01 2013 dams <dams> 2.0.6-4.mga4
+ Revision: 462430
- rebuild for new cogl

* Tue Jul 23 2013 wally <wally> 2.0.6-3.mga4
+ Revision: 457448
- fix devel pkg name

* Tue Jul 23 2013 wally <wally> 2.0.6-2.mga4
+ Revision: 457432
- new version 2.0.6
- replace/obsolete pkgs from clutter-gst2 source pkg

* Sun Jul 14 2013 dams <dams> 2.0.4-2.mga4
+ Revision: 454251
- update gstapi to 1.0
- update APIs
- update BR (gstreamer1.0)
- update %%file

* Mon May 27 2013 fwang <fwang> 1.6.0-4.mga4
+ Revision: 428608
- rebuild for new cogl

* Fri Jan 11 2013 umeabot <umeabot> 1.6.0-3.mga3
+ Revision: 347928
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sun Sep 30 2012 fwang <fwang> 1.6.0-2.mga3
+ Revision: 300944
- correct patch
- add upstream patch to build with latest cogl
- update rpm group
- rebuild for new cogl

* Mon Jun 25 2012 ovitters <ovitters> 1.6.0-1.mga3
+ Revision: 263597
- new version 1.6.0

* Fri May 25 2012 ovitters <ovitters> 1.5.6-1.mga3
+ Revision: 236019
- new version 1.5.6

* Tue Mar 06 2012 fwang <fwang> 1.5.4-2.mga2
+ Revision: 220039
- rebuild for new cogl

* Thu Feb 23 2012 ovitters <ovitters> 1.5.4-1.mga2
+ Revision: 213527
- new version
- drop upstream patch

* Wed Feb 22 2012 wally <wally> 1.5.2-2.mga2
+ Revision: 212397
- rebuild for new cogl (add P0 from upstream git)

* Thu Jan 26 2012 wally <wally> 1.5.2-1.mga2
+ Revision: 202046
- new version 1.5.2
- create new subpackage for gstreamer plugin
- drop docs pkg and move docs to devel pkg
- don't regenerate docs
- fix devel pkg description

* Wed Jan 18 2012 wally <wally> 1.4.6-1.mga2
+ Revision: 197939
- new version 1.4.6

* Tue Jan 17 2012 fwang <fwang> 1.4.4-3.mga2
+ Revision: 197227
- rebuild for new cogl

* Tue Nov 22 2011 wally <wally> 1.4.4-2.mga2
+ Revision: 171024
- rebuild for new cogl and clutter

* Fri Oct 28 2011 wally <wally> 1.4.4-1.mga2
+ Revision: 159224
- new version 1.4.4

* Mon Oct 03 2011 wally <wally> 1.4.2-1.mga2
+ Revision: 151327
- new version 1.4.2

* Fri Sep 30 2011 wally <wally> 1.4.0-1.mga2
+ Revision: 150517
- new version 1.4.0

* Mon Sep 19 2011 wally <wally> 1.3.14-2.mga2
+ Revision: 145762
- rebuild for new cogl

* Thu Sep 01 2011 fwang <fwang> 1.3.14-1.mga2
+ Revision: 137510
- new version 1.3.14
- rebuild for new cogl

* Thu Jul 07 2011 wally <wally> 1.3.12-2.mga2
+ Revision: 119842
- fix gir package name

* Mon Jun 27 2011 wally <wally> 1.3.12-1.mga2
+ Revision: 114805
- add a subpackage for gir .typelib
- clean .spec a bit
- imported package clutter-gst


* Mon Jun 06 2011 Götz Waschk <waschk@mandriva.org> 1.3.12-1mdv2011.0
+ Revision: 682985
- new version
- fix source URL

* Sun Apr 10 2011 Funda Wang <fwang@mandriva.org> 1.3.8-1
+ Revision: 652251
- update group
- new version 1.3.8
- new version 1.3.6

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Claudio Matsuoka <claudio@mandriva.com>
    - Update to version 1.2.0 for MeeGo 1.1

* Wed Feb 10 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 503756
- new version
- new API
- update build deps

* Wed Jul 29 2009 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 404426
- new version
- new API
- update deps
- update file list

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 0.9.0-1mdv2010.0
+ Revision: 399404
- new version
- new api
- fix build
- update license

* Sat Sep 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-1mdv2009.0
+ Revision: 284375
- New version: 0.8.0

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Feb 21 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.1-2mdv2008.1
+ Revision: 173781
- Improve description

* Wed Feb 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.1-1mdv2008.1
+ Revision: 173177
- New version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4.0-1mdv2008.1
+ Revision: 136322
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.4.0-1mdv2008.0
+ Revision: 60530
- New version: 0.4.0

* Thu Jun 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-1mdv2008.0
+ Revision: 42385
- Import clutter-gst

